Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.esf
Class SPUserNotice

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.esf.SPUserNotice

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class SPUserNotice
extends ASN1Object

Constructor Summary
`SPUserNotice(NoticeReference noticeRef, DisplayText explicitText)`

Method Summary
`DisplayText` | `getExplicitText()`
`static SPUserNotice` | `getInstance(java.lang.Object obj)`
`NoticeReference` | `getNoticeRef()`
`ASN1Primitive` | `toASN1Primitive()` SPUserNotice ::= SEQUENCE { noticeRef NoticeReference OPTIONAL, explicitText DisplayText OPTIONAL }

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SPUserNotice

    public SPUserNotice(NoticeReference noticeRef,
                        DisplayText explicitText)

Method Detail

### getInstance

    public static SPUserNotice getInstance(java.lang.Object obj)

### getNoticeRef

    public NoticeReference getNoticeRef()

### getExplicitText

    public DisplayText getExplicitText()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  SPUserNotice ::= SEQUENCE { noticeRef NoticeReference OPTIONAL, explicitText DisplayText OPTIONAL }

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD